New user self-registration is disabled due to spam. Please email eigen-core-team @ lists.tuxfamily.org if you need an account.
Bug 952 - Doxygen: missing generated documentation for ColPivHouseholderQR
Summary: Doxygen: missing generated documentation for ColPivHouseholderQR
Status: RESOLVED FIXED
Alias: None
Product: Eigen
Classification: Unclassified
Component: Documentation (show other bugs)
Version: 3.3 (current stable)
Hardware: All All
: Normal Documentation
Assignee: Nobody
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-02-11 18:45 UTC by Benjamin Chretien
Modified: 2015-02-17 17:57 UTC (History)
4 users (show)



Attachments

Description Benjamin Chretien 2015-02-11 18:45:13 UTC
The documentation for ColPivHouseholderQR appears to be missing from the generated documentation. This is the only decomposition that lacks its documentation once processed by doxygen for some reason (cf. http://eigen.tuxfamily.org/dox-devel/group__TopicLinearAlgebraDecompositions.html or http://eigen.tuxfamily.org/dox/group__TopicLinearAlgebraDecompositions.html). I was able to reproduce this locally.
Comment 1 Christoph Hertzberg 2015-02-15 06:16:34 UTC
Should be fixed in devel and 3.2 branch:
https://bitbucket.org/eigen/eigen/commits/049963756b748
https://bitbucket.org/eigen/eigen/commits/116ad961a98c2
Comment 2 Benjamin Chretien 2015-02-17 17:57:19 UTC
Perfect, thanks!

Note You need to log in before you can comment on or make changes to this bug.